package command;

/**
 * This class defines the generic Command interface
 * Any concrete command must be capable of this generic behavior
 * @author hornick
 *
 */
public interface Command {
	public boolean execute(); // do the work
	public boolean unexecute(); // or undo whatever the work was
	public String getCommandName(); // the associated command phrase that appears on UI components for this command
}
